/* 
Theme Name: Costume Cubs
Theme URI: https://staging.costumecubs.com/
Description: Costume Cubs
Author: procomltd
Author URI: https://procomsoftsol.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: costumecubs
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

.woo-out-of-stock-badge {
    display: inline-block;
    padding: 2px 10px;
    font-size: 12px;
    font-weight: 600;
    color: #696969;
    background-color: #ff621080;
    border-radius: 4px;
    text-transform: uppercase;
}

.contest-list-title {
    font-size: 24px;
    margin-bottom: 20px;
    text-align: center;
    font-weight: bold;
}

.contest-entries-list {
    list-style: none;
    padding: 0;
    margin: 0;
    width: 100%;
}

.contest-entries-list li.contest-entry {
    display: flex;
    align-items: center;
    border: 1px solid #ddd;
    padding: 10px 15px;
    margin-bottom: 10px;
    border-radius: 6px;
    background: #f9f9f9;
    position: relative;
}

.award-icon, .rank-number {
    font-size: 20px;
    width: 30px;
    flex-shrink: 0;
    text-align: center;
    margin-right: 15px;
}

.award-icon.gold { color: #FFD700; }
.award-icon.silver { color: #C0C0C0; }
.award-icon.bronze { color: #CD7F32; }

.contest-entry-wrapper {
    display: flex;
    align-items: center;
    flex: 1;
}

.contest-entry-thumb {
    width: 60px; /* thumbnail size */
    height: 60px;
    overflow: hidden;
    border-radius: 6px;
    margin-right: 15px;
}

.contest-entry-thumb img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.contest-entry-info {
    flex: 1;
    display: flex;
    gap: 15px;
    align-items: center;
}

.contest-entry-info h3 {
    margin: 0 0 5px 0;
    font-size: 16px;
}

.contest-entry-info p {
    margin: 2px 0;
    font-size: 14px;
}
.vote-button, .share-link {
    border: none;
    background-color: #FF6210;
    color: #fff;
    display: inline-block;
    fill: #fff;
    font-size: 15px;
    line-height: 1;
    padding: 12px 24px;
    text-align: center;
    transition: all .3s;
}
.vote-button:hover, .share-link:hover, 
.vote-button:active, .vote-button:focus, 
.share-link:active, .share-link:focus {
    background:  #FF6210;
}

form.vote-form {
    display: flex;
    gap: 20px;
    align-items: center;
    justify-content: center;
}

@media(max-width:767px){
    .contest-entry-info {
    display: block;
}
}
